Bug 1049211 - openstack-foreman-installer: neutron-controller remained with inactive services after deployment.
Summary: openstack-foreman-installer: neutron-controller remained with inactive servic...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 4.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Jason Guiditta
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 08:37 UTC by Omri Hochman
Modified: 2014-09-08 05:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-06 15:53:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
messages.log (139.58 KB, text/plain)
2014-01-07 08:38 UTC, Omri Hochman
no flags Details

Description Omri Hochman 2014-01-07 08:37:10 UTC
openstack-foreman-installer: neutron-controller remained with inactive neutron services after deployment.


Environment (2013-12-23.1):
-----------------------------------
openstack-neutron-2013.2.1-1.el6ost.noarch
openstack-foreman-installer-1.0.1-1.el6ost.noarch
packstack-modules-puppet-2013.2.1-0.20.dev936.el6ost.noarch
puppet-server-3.2.4-3.el6_5.noarch
puppet-3.2.4-3.el6_5.noarch
foreman-selinux-1.3.0-1.el6sat.noarch

Steps:
-------
- Attempt to deploy foreman-client as neutron controller (hostGroup)

Results: 
--------
- After deployment finished neutron services remained inactive.

[root@oh-havana-controller ~]# openstack-status 
== Nova services ==
openstack-nova-api:                     active
openstack-nova-cert:                    active
openstack-nova-compute:                 dead      (disabled on boot)
openstack-nova-network:                 dead      (disabled on boot)
openstack-nova-scheduler:               active
openstack-nova-conductor:               active
== Glance services ==
openstack-glance-api:                   active
openstack-glance-registry:              active
== Keystone service ==
openstack-keystone:                     active
== Horizon service ==
openstack-dashboard:                    500
== neutron services ==
neutron-server:                         inactive
neutron-dhcp-agent:                     inactive  (disabled on boot)
neutron-l3-agent:                       inactive  (disabled on boot)
neutron-metadata-agent:                 inactive  (disabled on boot)
neutron-lbaas-agent:                    inactive  (disabled on boot)
neutron-openvswitch-agent:              inactive  (disabled on boot)
== Swift services ==
openstack-swift-proxy:                  dead
openstack-swift-account:                dead      (disabled on boot)
openstack-swift-container:              dead      (disabled on boot)
openstack-swift-object:                 dead      (disabled on boot)
== Cinder services ==
openstack-cinder-api:                   active
openstack-cinder-scheduler:             dead
openstack-cinder-volume:                inactive  (disabled on boot)
== Ceilometer services ==
openstack-ceilometer-api:               active
openstack-ceilometer-central:           active
openstack-ceilometer-compute:           dead      (disabled on boot)
openstack-ceilometer-collector:         active
== Heat services ==
openstack-heat-api:                     active
openstack-heat-api-cfn:                 inactive  (disabled on boot)
openstack-heat-api-cloudwatch:          inactive  (disabled on boot)
openstack-heat-engine:                  dead
== Support services ==
mysqld:                                 inactive
openvswitch:                            active
messagebus:                             active
qpidd:                                  active
memcached:                              active


chkconfig --list
------------------
neutron-dhcp-agent      0:off   1:off   2:off   3:off   4:off   5:off   6:off
neutron-l3-agent        0:off   1:off   2:off   3:off   4:off   5:off   6:off
neutron-lbaas-agent     0:off   1:off   2:off   3:off   4:off   5:off   6:off
neutron-metadata-agent  0:off   1:off   2:off   3:off   4:off   5:off   6:off
neutron-openvswitch-agent       0:off   1:off   2:off   3:off   4:off   5:off   6:off
neutron-server  0:off   1:off   2:on    3:on    4:on    5:on    6:off

Comment 1 Omri Hochman 2014-01-07 08:38:32 UTC
Created attachment 846510 [details]
messages.log

Adding messages

Comment 3 Jason Guiditta 2014-05-27 13:46:02 UTC
Omri, I think we have seen lots of successful deployments of neutron controllers since this was filed.  Are you still having problems, or can we close it current release?

Comment 4 Omri Hochman 2014-06-06 15:53:09 UTC
Verified : openstack-foreman-installer-2.0.2-1.el6ost.noarch


Note You need to log in before you can comment on or make changes to this bug.